> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Enterprise Members

> Invite multiple users to the enterprise by email (bulk invite, max 100 users)

Requires an enterprise admin personal API key.

Invite multiple users to your enterprise by providing their email addresses. This endpoint supports bulk invitations with up to 100 email addresses per request.


## OpenAPI

````yaml /v2-openapi.yaml POST /v2/enterprise/members/invite
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members/invite:
    post:
      tags:
        - members
      summary: Enterprise Members Invite Endpoint
      description: >-
        Invite multiple users to the enterprise by email (bulk invite, max 100
        users)
      operationId: enterprise_members_invite_endpoint_v2_enterprise_members_invite_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnterpriseMemberInviteRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseMemberInviteResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    EnterpriseMemberInviteRequest:
      properties:
        emails:
          description: List of email addresses to invite (max 100)
          items:
            format: email
            type: string
          maxItems: 100
          title: Emails
          type: array
      required:
        - emails
      title: EnterpriseMemberInviteRequest
      type: object
    EnterpriseMemberInviteResponse:
      properties:
        invited_count:
          title: Invited Count
          type: integer
        invitee_user_id_to_email:
          additionalProperties:
            type: string
          title: Invitee User Id To Email
          type: object
        status:
          default: success
          title: Status
          type: string
      required:
        - invited_count
        - invitee_user_id_to_email
      title: EnterpriseMemberInviteResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````